Bug 842371 - [abrt] subcommander-2.0-0.7.fc15.7: __tzfile_read: Process /usr/bin/subcommander was killed by signal 11 (SIGSEGV)
[abrt] subcommander-2.0-0.7.fc15.7: __tzfile_read: Process /usr/bin/subcomman...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: subcommander (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jochen Schmitt
Fedora Extras Quality Assurance
abrt_hash:f384749c3fbfda6a99be4445ec0...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-23 11:39 EDT by Timothy Davis
Modified: 2013-07-31 21:20 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 21:20:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: core_backtrace (136.04 KB, text/plain)
2012-07-23 11:39 EDT, Timothy Davis
no flags Details
File: backtrace (793.29 KB, text/plain)
2012-07-23 11:39 EDT, Timothy Davis
no flags Details
File: maps (69.05 KB, text/plain)
2012-07-23 11:39 EDT, Timothy Davis
no flags Details
File: dso_list (13.64 KB, text/plain)
2012-07-23 11:39 EDT, Timothy Davis
no flags Details

  None (edit)
Description Timothy Davis 2012-07-23 11:39:36 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        subcommander
comment:        Updating a local working copy
crash_function: __tzfile_read
executable:     /usr/bin/subcommander
kernel:         3.4.5-2.fc17.x86_64
pid:            4363
pwd:            /home/tim
time:           Mon 23 Jul 2012 11:26:44 AM EDT
uid:            1000
username:       tim
xsession_errors: 

backtrace:      Text file, 812329 bytes
core_backtrace: Text file, 139310 bytes
dso_list:       Text file, 13971 bytes
maps:           Text file, 70704 bytes

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/tim/6

environ:
:XDG_VTNR=3
:XDG_SESSION_ID=6
:HOSTNAME=squidward.shaggvill.net
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:SHELL=/bin/bash
:TERM=dumb
:HISTSIZE=1000
:QTDIR=/usr/lib64/qt-3.3
:GNOME_KEYRING_CONTROL=/run/user/tim/keyring-gHfN49
:QTINC=/usr/lib64/qt-3.3/include
:QT_GRAPHICSSYSTEM_CHECKED=1
:IMSETTINGS_MODULE=none
:USER=tim
:USERNAME=tim
:MAIL=/var/spool/mail/tim
:PATH=/usr/lib64/qt-3.3/bin:/usr/lib64/ccache:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/home/tim/.local/bin:/home/tim/bin
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/home/tim
:XMODIFIERS=@im=none
:KDE_IS_PRELINKED=1
:GNOME_KEYRING_PID=1796
:LANG=en_US.UTF-8
:MODULEPATH=/usr/share/Modules/modulefiles:/etc/modulefiles
:LOADEDMODULES=
:KDEDIRS=/usr
:GDMSESSION=gnome
:SSH_ASKPASS=/usr/libexec/openssh/gnome-ssh-askpass
:HISTCONTROL=ignoredups
:XDG_SEAT=seat0
:HOME=/home/tim
:SHLVL=1
:LOGNAME=tim
:QTLIB=/usr/lib64/qt-3.3/lib
:CVS_RSH=ssh
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-vhlW1NffAH,guid=bef2b2fa9a4d69de68dab57d0000030e
:MODULESHOME=/usr/share/Modules
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=3
:XDG_RUNTIME_DIR=/run/user/tim
:DISPLAY=:0
:QT_PLUGIN_PATH=/usr/lib64/kde4/plugins:/usr/lib/kde4/plugins
:CCACHE_HASHDIR=
:XAUTHORITY=/var/run/gdm/auth-for-tim-1DIdny/database
:'module=() {  eval `/usr/bin/modulecmd bash $*`\n}'
:_=/usr/bin/gnome-session
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1800,unix/unix:/tmp/.ICE-unix/1800
:GPG_AGENT_INFO=/run/user/tim/keyring-gHfN49/gpg:0:1
:SSH_AUTH_SOCK=/run/user/tim/keyring-gHfN49/ssh
:GJS_DEBUG_OUTPUT=stderr
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:GIO_LAUNCHED_DESKTOP_FILE=/usr/share/applications/fedora-subcommander.desktop
:GIO_LAUNCHED_DESKTOP_FILE_PID=4363
:DESKTOP_STARTUP_ID=gnome-shell-2016-squidward.shaggvill.net-subcommander-4_TIME5661483

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 15600                processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       15600                15600                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:/dev/null
:pos:	0
:flags:	0100000
:1:/home/tim/.xsession-errors
:pos:	21841
:flags:	0102002
:2:/home/tim/.xsession-errors
:pos:	21841
:flags:	0102002
:3:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:4:pipe:[146668]
:pos:	0
:flags:	02004000
:5:pipe:[146668]
:pos:	0
:flags:	02004001
:6:socket:[146669]
:pos:	0
:flags:	02004002
:7:socket:[146672]
:pos:	0
:flags:	02004002
:8:socket:[146680]
:pos:	0
:flags:	02004002
:9:socket:[146208]
:pos:	0
:flags:	02000002
:10:socket:[148325]
:pos:	0
:flags:	02004002
:11:anon_inode:inotify
:pos:	0
:flags:	02004000
:12:socket:[148326]
:pos:	0
:flags:	02004002

smolt_data:
:
:
:General
:=================================
:UUID: 00867f71-211c-433f-9983-a1a0e95c9646
:OS: Fedora release 17 (Beefy Miracle)
:Default run level: Unknown
:Language: en_US.UTF-8
:Platform: x86_64
:BogoMIPS: 3989.76
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Core(TM)2 Duo CPU     T7300  @ 2.00GHz
:CPU Stepping: 11
:CPU Family: 6
:CPU Model Num: 15
:Number of CPUs: 2
:CPU Speed: 2001
:System Memory: 1971
:System Swap: 3967
:Vendor: Hewlett-Packard
:System:  F.19
:Form factor: Notebook
:Kernel: 3.4.5-2.fc17.x86_64
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(32902:10752:4156:12481) pci, None, HOST/PCI, Compaq 6910p
:(32902:10753:4156:12481) pci, pcieport, PCI/PCI, Mobile PM965/GM965/GL960 PCI Express Root Port
:(32902:10281:4156:12481) pci, ahci, STORAGE, Compaq 6910p
:(32902:10320:4156:12481) pci, ata_piix, STORAGE, Compaq 6910p
:(32902:10257:4156:12481) pci, None, PCI/ISA, Compaq 6910p
:(32902:4169:4156:12481) pci, e1000e, ETHERNET, Compaq 6910p
:(32902:9288:4156:12481) pci, None, PCI/PCI, Compaq 6910p
:(32902:10289:4156:12481) pci, uhci_hcd, USB, Compaq 6910p
:(32902:10288:4156:12481) pci, uhci_hcd, USB, Compaq 6910p
:(32902:10290:4156:12481) pci, uhci_hcd, USB, Compaq 6910p
:(4480:1142:4156:12481) pci, yenta_cardbus, PCI/CARDBUS, Compaq 6910p
:(32902:10294:4156:12481) pci, ehci_hcd, USB, Compaq 6910p
:(32902:10298:4156:12481) pci, ehci_hcd, USB, Compaq 6910p
:(4480:1142:4156:12481) pci, yenta_cardbus, PCI/CARDBUS, Compaq 6910p
:(4480:2098:4156:12481) pci, firewire_ohci, FIREWIRE, Compaq 6910p
:(4480:2082:4156:12481) pci, sdhci-pci, BASE, Compaq 6910p
:(32902:10303:4156:12481) pci, pcieport, PCI/PCI, Compaq 6910p
:(32902:10305:4156:12481) pci, pcieport, PCI/PCI, Compaq 6910p
:(32902:10756:4156:12481) pci, None, SIMPLE, Compaq 6910p
:(32902:10759:4156:12481) pci, serial, 16550_SERIAL, Compaq 6910p
:(32902:10315:4156:12481) pci, snd_hda_intel, MULTIMEDIA, Compaq 6910p
:(32902:10292:4156:12481) pci, uhci_hcd, USB, Compaq 6910p
:(32902:10311:4156:12481) pci, pcieport, PCI/PCI, Compaq 6910p
:(32902:10293:4156:12481) pci, uhci_hcd, USB, Compaq 6910p
:(4098:29064:4156:12481) pci, radeon, VIDEO, 6910p
:(32902:10758:4156:12481) pci, ata_generic, STORAGE, Compaq 6910p
:(32902:16937:32902:4096) pci, iwl4965, NETWORK, PRO/Wireless 4965 AG or AGN [Kedron] Network Connection
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/sda3 / ext4 4096 4096 18361771 6161230 5241550 4603904 4108390 4108390
:/dev/sda1 /boot ext4 1024 1024 508644 398475 372875 128016 127663 127663
:

var_log_messages:
:Jul 23 11:24:34 squidward yum[4239]: Installed: subcommander-2.0-0.7.fc15.7.x86_64
:Jul 23 11:26:02 squidward kernel: [ 5654.568785] subcommander[4308]: segfault at 10000002a ip 0000003f9b151318 sp 00007fff359444e0 error 4 in libQtGui.so.4.8.2[3f9aa00000+a55000]
:Jul 23 11:26:02 squidward abrt[4316]: Saved core dump of pid 4308 (/usr/bin/subcommander) to /var/spool/abrt/ccpp-2012-07-23-11:26:02-4308 (11530240 bytes)
:Jul 23 11:26:44 squidward kernel: [ 5697.192554] subcommander[4363]: segfault at 7fff4d0c2fd8 ip 0000003f8baacc48 sp 00007fff4d0c2fe0 error 6 in libc-2.15.so[3f8ba00000+1ac000]
:Jul 23 11:26:45 squidward abrt[4401]: Saved core dump of pid 4363 (/usr/bin/subcommander) to /var/spool/abrt/ccpp-2012-07-23-11:26:44-4363 (65310720 bytes)
Comment 1 Timothy Davis 2012-07-23 11:39:47 EDT
Created attachment 599817 [details]
File: core_backtrace
Comment 2 Timothy Davis 2012-07-23 11:39:55 EDT
Created attachment 599818 [details]
File: backtrace
Comment 3 Timothy Davis 2012-07-23 11:39:57 EDT
Created attachment 599819 [details]
File: maps
Comment 4 Timothy Davis 2012-07-23 11:39:59 EDT
Created attachment 599820 [details]
File: dso_list
Comment 5 Steve 2013-05-02 08:23:57 EDT
I am able to reproduce this and am looking into it.

Steps to reproduce (note, may be dependent on my particular set/layout of bookmarks):

* In a project with no working copies defined, invoke Bookmark > New Working Copy. The application crashes, but that is in a different place and due to a different bug.

* Restart the application. Select the <new working copy> bookmark added in the previous step and invoke Bookmark > Edit. Enter the desired information and click [OK]. The application crashes again, this time at __tzfile_read().
Comment 6 Fedora End Of Life 2013-07-03 19:01:16 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 7 Fedora End Of Life 2013-07-31 21:20:29 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.